<?php

namespace App\Generated\V1_1\Messages\Common;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class FaceDetectMessage extends Message
{
    use ValueHelper;

    protected $image;
    protected $result;

    /**
     * @return string
     */
    public function getImage()
    {
        return $this->image;
    }

    public function requestRules()
    {
        return [
            ['image', 'image', 'bail|string', Constants::STRING, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
